QJournalProtocolProtos.PrepareRecoveryRequestProtoOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocol, class: QJournalProtocolProtos, interface: PrepareRecoveryRequestProtoOrBuilder

Package org.apache.hadoop.hdfs.qjournal.protocol

# Interface QJournalProtocolProtos.PrepareRecoveryRequestProtoOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QJournalProtocolProtos.PrepareRecoveryRequestProto`, `QJournalProtocolProtos.PrepareRecoveryRequestProto.Builder`

Enclosing class:
  QJournalProtocolProtos

public static interface QJournalProtocolProtos.PrepareRecoveryRequestProtoOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QJournalProtocolProtos.RequestInfoProto`
  `getReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `QJournalProtocolProtos.RequestInfoProtoOrBuilder`
  `getReqInfoOrBuilder()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `long`
  `getSegmentTxId()`
  `required uint64 segmentTxId = 2;`
  `boolean`
  `hasReqInfo()`
  `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
  `boolean`
  `hasSegmentTxId()`
  `required uint64 segmentTxId = 2;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasReqInfo

    boolean hasReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Returns:
      Whether the reqInfo field is set.

  - ### getReqInfo

    QJournalProtocolProtos.RequestInfoProto getReqInfo()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`
    Returns:
      The reqInfo.

  - ### getReqInfoOrBuilder

    QJournalProtocolProtos.RequestInfoProtoOrBuilder getReqInfoOrBuilder()
    `required .hadoop.hdfs.qjournal.RequestInfoProto reqInfo = 1;`

  - ### hasSegmentTxId

    boolean hasSegmentTxId()
    `required uint64 segmentTxId = 2;`
    Returns:
      Whether the segmentTxId field is set.

  - ### getSegmentTxId

    long getSegmentTxId()
    `required uint64 segmentTxId = 2;`
    Returns:
      The segmentTxId.